Bug 1302895 - ImportError: No module named usb
Summary: ImportError: No module named usb
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yubioath-desktop
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Seth Jennings
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-28 22:08 UTC by Seth Jennings
Modified: 2016-05-05 01:23 UTC (History)
1 user (show)

Fixed In Version: yubioath-desktop-2.3.0-2.fc23 yubioath-desktop-2.3.0-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-04 18:54:17 UTC


Attachments (Terms of Use)

Description Seth Jennings 2016-01-28 22:08:43 UTC
Description of problem:

When yubikey is not plugged in yubioath generates the following error periodically:

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/yubioath/gui/controller.py", line 361, in timerEvent
    if ccid_supported_but_disabled():
  File "/usr/lib/python2.7/site-packages/yubioath/core/utils.py", line 167, in ccid_supported_but_disabled
    import usb
ImportError: No module named usb

Version-Release number of selected component (if applicable): 
2.3.0-1.fc23

How reproducible:
always

Steps to Reproduce:
1. unplug yubikey
2. start yubioath from terminal
3. observe error printed to the terminal

Actual results:
ImportError: No module named usb

Expected results:
No error

Additional info:

Comment 1 Fedora Update System 2016-01-28 22:39:37 UTC
yubioath-desktop-2.3.0-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4ef398b0ce

Comment 2 Fedora Update System 2016-01-28 22:40:01 UTC
yubioath-desktop-2.3.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a1f85bef24

Comment 3 Fedora Update System 2016-01-30 19:21:56 UTC
yubioath-desktop-2.3.0-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4ef398b0ce

Comment 4 Fedora Update System 2016-01-30 19:55:49 UTC
yubioath-desktop-2.3.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a1f85bef24

Comment 5 Fedora Update System 2016-05-04 18:54:16 UTC
yubioath-desktop-2.3.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-05-05 01:23:00 UTC
yubioath-desktop-2.3.0-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.